#ifndef BIOBUTTONLISTWIDGET_H
#define BIOBUTTONLISTWIDGET_H

#include <QWidget>
#include "mylistwidget.h"

class QListWidgetItem;

extern float scale;
class BioButtonListWidget : public MyListWidget
{
    Q_OBJECT
public:
    explicit BioButtonListWidget(QWidget *parent = nullptr);

    void updateWidgetSize();

    void addOptionButton(unsigned uLoginOptType, int nDrvId, QString strDrvName);

    void onOptionSelected(int nIndex);

    void updateUI();

public Q_SLOTS:
    void onListItemClicked(QListWidgetItem *item);
    void onListItemChanged(QListWidgetItem *current, QListWidgetItem *previous);

Q_SIGNALS:
    void userSelected(QString strUserName);

private:
    void initUI();
    void initConnections();
protected:
    void resizeEvent(QResizeEvent *event);

private:
    QList<int> m_listDriveId;
};

#endif // BIOBUTTONLISTWIDGET_H
